İçeriğe geç

Bytedance Seedance V1.5 Pro Text To Video

Entegre et

Model kimliği bytedance/seedance/v1.5/pro/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/bytedance/seedance/v1.5/pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Örnekteki gibi dosyalar: $0,26 260 API kredisi dosyalarınız çalıştırmadan önce ölçülür Bu sayfada çalıştır

API anahtarı al
ByteDance Metinden Videoya Yerel ses4–12 s1080p değerine kadar #bytedance#seedance#audio

Ayrıca ses üreten, 4 ile 12 saniyelik Seedance 1.5 Pro metinden videoya

ByteDance · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Video üretimini yönlendiren metin istemi.

duration 5 s

Saniye cinsinden ölçülen video uzunluğu.

aspect_ratio varsayılan 16:9

Çıktı videosunun en-boy oranı.

resolution varsayılan 720p

Çıktı çözünürlüğü: 480p hızı, 720p dengeyi ve 1080p daha yüksek kaliteyi önceliklendirir.

Gelişmiş seed · camera_fixed · enable_safety_checker

Video üretimi sırasında rastgeleliği denetleyen seed; -1 rastgele bir seed seçer.

POST /run/bytedance/seedance/v1.5/pro/text-to-video?wait=20 fiyat → $0,26
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/bytedance/seedance/v1.5/pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Bytedance Seedance V1.5 Pro Text To Video hakkında

`generate_audio` üzerinden isteğe bağlı senkronize ses içeren bir metin isteminden klip üretir. Çözünürlük 480p, 720p veya 1080p; süre 4 ile 12 saniye; en-boy oranları 21:9, 16:9, 4:3, 1:1, 3:4, 9:16 ve auto'dur. `camera_fixed` kamerayı sabit tutar; `seed` tekrarlanabilir sonuçları destekler.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
Video üretimini yönlendiren metin istemi.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
21:916:94:31:13:49:16auto
Çıktı videosunun en-boy oranı.
resolutionisteğe bağlı
Türenum
Varsayılan720p
480p720p1080p
Çıktı çözünürlüğü: 480p hızı, 720p dengeyi ve 1080p daha yüksek kaliteyi önceliklendirir.
durationisteğe bağlı
Türenum
Varsayılan5
456789101112
Saniye cinsinden ölçülen video uzunluğu.
camera_fixedisteğe bağlı
Türboolean
Varsayılanfalse
Kameranın sabit bir konumda kalıp kalmayacağını denetler.
seedisteğe bağlı
Türinteger | null
Video üretimi sırasında rastgeleliği denetleyen seed; -1 rastgele bir seed seçer.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Kapalı ayarı hesap yetkilendirmesi gerektiren güvenlik denetimi anahtarı. Bu yetkilendirme olmadan ayardan bağımsız olarak her istek denetlenir; true denetleyiciyi etkinleştirir.
generate_audioisteğe bağlı
Türboolean
Varsayılantrue
Videonun sesli üretilip üretilmeyeceğini denetler.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedance/v1.5/pro/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 260,
    "usd": "0.26",
    "charged": 260,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Ortaya çıkan video dosyası.
seed
integerÜretim sırasında kullanılan seed değeri.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/bytedance/seedance/v1.5/pro/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt